# TdApi.AutosaveSettings (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AutosaveSettings

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AutosaveSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AutosaveSettings

Enclosing class:
  TdApi

public static final class TdApi.AutosaveSettings extends TdApi.Object
Describes autosave settings.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ScopeAutosaveSettings`
`channelSettings`
Default autosave settings for channel chats.
`static final int`
`CONSTRUCTOR`
`TdApi.AutosaveSettingsException[]`
`exceptions`
Autosave settings for specific chats.
`TdApi.ScopeAutosaveSettings`
`groupSettings`
Default autosave settings for basic group and supergroup chats.
`TdApi.ScopeAutosaveSettings`
`privateChatSettings`
Default autosave settings for private chats.

## Constructor Summary

Constructors
Constructor
Description
`AutosaveSettings()`
Describes autosave settings.
`AutosaveSettings(TdApi.ScopeAutosaveSettings privateChatSettings, TdApi.ScopeAutosaveSettings groupSettings, TdApi.ScopeAutosaveSettings channelSettings, TdApi.AutosaveSettingsException[] exceptions)`
Describes autosave settings.
`AutosaveSettings(DataInput input)`
Describes autosave settings.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### privateChatSettings

public TdApi.ScopeAutosaveSettings privateChatSettings
Default autosave settings for private chats.

### groupSettings

public TdApi.ScopeAutosaveSettings groupSettings
Default autosave settings for basic group and supergroup chats.

### channelSettings

public TdApi.ScopeAutosaveSettings channelSettings
Default autosave settings for channel chats.

### exceptions

public TdApi.AutosaveSettingsException[] exceptions
Autosave settings for specific chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AutosaveSettings

public AutosaveSettings()
Describes autosave settings.

### AutosaveSettings

public AutosaveSettings(TdApi.ScopeAutosaveSettings privateChatSettings, TdApi.ScopeAutosaveSettings groupSettings, TdApi.ScopeAutosaveSettings channelSettings, TdApi.AutosaveSettingsException[] exceptions)
Describes autosave settings.

Parameters:
  `privateChatSettings` - ScopeAutosaveSettings Default autosave settings for private chats.
  `groupSettings` - ScopeAutosaveSettings Default autosave settings for basic group and supergroup chats.
  `channelSettings` - ScopeAutosaveSettings Default autosave settings for channel chats.
  `exceptions` - AutosaveSettingsException[] Autosave settings for specific chats.

### AutosaveSettings

public AutosaveSettings(DataInput input) throws IOException
Describes autosave settings.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`